Subject: Re: bug#27761: Crash while using proof-general/company-coq on OS X

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jul 2017 21:40:15 +0300

> From: John Wiegley <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 19 Jul 2017 14:34:15 -0400
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> >> This may be hard, but we'll try. It's 100% reproducible in both 25.1 and
> >> 25.2, but involves company-coq, Proof General, and some particular source
> >> files.
> 
> > Aren't those available for reproducing on another machine?
> 
> Sure, if you're willing to install them, we can send the source files and the
> exact steps.

Please go ahead.

> > Alternatively, I could guide you through debugging the recursion, but I'll
> > need you to use GDB, not the macOS debugger.
> 
> Sadly, only lldb is possible here. :(

Then I cannot help you with specific commands, but if you could step
through that code in get_next_display_element which recurses, and tell
me why it does so, what is the character where this happens, and what
is the value of it->method there, it could give some hints.